Subject: Re: meson vs Cygwin

From: Marco Atzeri <[email-masked]>
Date: Tue, 13 Feb 2024 13:00:20 +0100

On 22/11/2023 13:02, Andrew Dunstan wrote:
> 
> I've been trying to get meson working with Cygwin. On a fresh install 
> (Cygwin 3.4.9, gcc 11.4.0, meson 1.0.2, ninja 1.11.1) I get a bunch of 
> errors like this:
> 
> ERROR:  incompatible library 
> "/home/andrew/bf/buildroot/HEAD/pgsql.build/tmp_install/home/andrew/bf/buildroot/HEAD/inst/lib/postgresql/plperl.dll": missing magic block
> 
> Similar things happen if I try to build with python.
> 
> I'm not getting the same on a configure/make build. Not sure what would 
> be different.
> 
> 
> cheers
> 
> 
> andrew
> 

Hi Andrew,
sorry for jumping on this request so late

how are you configuring the build ?

Marco Atzeri
Postgresql package manager for Cygwin